import React from 'react';

import { MessageBox } from '../components/MessageBox';

export default {
    title: 'Design System/MessageBox',
    component: MessageBox
};

const Template = (args) => <MessageBox {...args} />;

export const Extra = Template.bind({});
Extra.args = {
    message: 'custom extra message',
    type: 'extra'
}

export const Error = Template.bind({});
Error.args = {
    message: 'custom error message',
    type: 'error'
}

export const Succes = Template.bind({});
Succes.args = {
    message: 'custom succes message',
    type: 'succes'
}

export const Info = Template.bind({});
Info.args = {
    message: 'custom info message',
    type: 'info'
}

export const Warning = Template.bind({});
Warning.args = {
    message: 'custom warning message',
    type: 'warning'
}
